<template>
  <div>
    <h1 class="mb-6">Over the past 2 weeks how often have you felt little or no pleasure in activities you usually enjoy?</h1>
    <div class="space-y-3 mb-8">
      <radio-input
        v-for="choice in choices"
        :key="choice"
        :input-value="choice"
        v-model="selected"
      >
        {{ choice }}
      </radio-input>
    </div>
    <CommonBtn
      text="Next"
      :disabled="!selected"
      @click="$emit('nextStage')"
    />
  </div>
</template>

<script>
import CommonBtn from "@/components/common/CommonBtn";
import {answersMixin} from "@/utils/mixins";
import RadioInput from "@/components/inputs/RadioInput";
export default {
  mixins: [answersMixin],
  name: "YourHealth26",
  components: {RadioInput, CommonBtn},
  watch: {
    selected(newVal) {
      this.setAnswer(this.answersKeys.YOUR_HEALTH, newVal, 'stage_26')
    }
  },
  data() {
    return {
      selected: null,
      choices: [
        'Not at all',
        'Several days',
        'More than half the days',
        'Nearly every day',
      ]
    }
  }
}
</script>

<style scoped>

</style>
